import socket from "$utils/socket";
import {NoticeType} from "$utils/socket/const";

export default {
    key:'uid',

    install(){
        socket.on('entrust-follow-list',(params)=>{

            if (params.uid) {

                if (params.status) {
                    this.addItem(params.followUserInfo,'unshift');
                } else {
                    this.removeItem(params.uid);
                }
            }
        },NoticeType.follow);

    }

}